import {
	myRequest
} from '../request.js'
export default {
	banklist(data) {
		return myRequest({
			url: '/app/common/bank/list',
			method: 'get',
			data: data,
			noToken: true
		})
	},
	//题库推荐列表
	banklistrecommendList(data) {
		return myRequest({
			url: '/app/common/bank/recommendList',
			method: 'get',
			data: data,
			noToken: true
		})
	},
	bankInfo(data) {
		return myRequest({
			url: '/app/common/bank/' + data,
			method: 'get',
			noToken: true
		})
	},
	//查询题库大章列表
	banklistchapterlist(data) {
		return myRequest({
			url: '/app/common/bank/chapter/list',
			method: 'get',
			data: data,
			noToken: true
		})
	},
	//获取题库大章详细信息
	bankInfochapter(data) {
		return myRequest({
			url: '/app/common/bank/chapter/' + data,
			method: 'get',
		})
	},
	//查询题库小节列表
	banklistsectionlist(data) {
		return myRequest({
			url: '/bank/section/list',
			method: 'get',
			data: data,
		})
	},
	//获取题库小节详细信息
	bankInfosection(data) {
		return myRequest({
			url: '/bank/section/' + data,
			method: 'get',
		})
	},
	//查询题库试卷列表
	banklistexam(data) {
		return myRequest({
			url: '/bank/exam/list',
			method: 'get',
			data: data,
		})
	},
	//获取题库试卷详细信息
	bankInfoexam(data) {
		return myRequest({
			url: '/bank/exam/' + data,
			method: 'get',
		})
	},
	//查询题目详情列表
	questiondetailList(data) {
		return myRequest({
			url: '/bank/question/list',
			method: 'get',
			data: data,
		})
	},
	//获取题目详情详细信息
	questiondetail(data) {
		return myRequest({
			url: '/bank/question/' + data,
			method: 'get',
		})
	},
	//新增用户的做题历史
	questiondetailrecord(data) {
		return myRequest({
			url: '/bank/record',
			method: 'post',
			data: data,
		})
	},
	//查询用户的做题历史列表
	questiondetailrecordlist(data) {
		return myRequest({
			url: '/bank/record/list',
			method: 'get',
			data: data,
		})
	},
	//获取用户的做题历史详细信息
	questionrecord(data) {
		return myRequest({
			url: '/bank/record/' + data,
			method: 'get',
		})
	},
	//查询模拟题库列表
	questiondetailsimulatelist(data) {
		return myRequest({
			url: '/bank/simulate/list',
			method: 'get',
			data: data,
		})
	},
	//获取模拟题库详细信息
	questionsimulate(data) {
		return myRequest({
			url: '/bank/simulate/' + data,
			method: 'get',
		})
	}
}
